events.listen('recipes', event => {

  // Arc Furnace
  
event.recipes.immersiveengineering.arc_furnace(['thermal:machine_frame'], 'create:andesite_casing')

  // Metal Press
 
event.recipes.immersiveengineering.metal_press('pneumaticcraft:compressed_iron_gear', item.of('#forge:ingots/compressed_iron', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:lapis_gear', item.of('#forge:gems/lapis', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:diamond_gear', item.of('#forge:gems/diamond', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:emerald_gear', item.of('#forge:gems/emerald', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:quartz_gear', item.of('#forge:gems/quartz', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:signalum_gear', item.of('#forge:ingots/signalum', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:lumium_gear', item.of('#forge:ingots/lumium', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('thermal:enderium_gear', item.of('#forge:ingots/enderium', 4), 'immersiveengineering:mold_gear')
event.recipes.immersiveengineering.metal_press('minecraft:blaze_rod', item.of('minecraft:blaze_powder', 5), 'immersiveengineering:mold_rod')
event.recipes.immersiveengineering.metal_press('ceramics:unfired_clay_plate', item.of('minecraft:clay_ball', 1), 'immersiveengineering:mold_plate')
event.recipes.immersiveengineering.metal_press('kubejs:blank_token', item.of('kubejs:blank_ore', 1), 'immersiveengineering:mold_plate')

  //Crusher

  event.recipes.immersiveengineering.crusher(Item.of('kubejs:dust', 3), 'minecraft:flint')

  //Cloche

  //event.recipes.immersiveengineering.cloche([outputs], input, soil)
})